% exaktes Integral
I1exakt = sinh(1.) - sinh(0.);
I2exakt = 2./3.;

% Approximation mittels Gauss-Legendre Quadratur
n = 1:100;
E = zeros(1,length(n));
for in=n
  [xin,win] = gauleg(0.,+1.,in); % Gauss-Legendre Knoten & Gewichte
  E1(in) = abs(sum(cosh(xin).*win) - I1exakt); % Quadraturfehler fuer f1
  E2(in) = abs(sum(sqrt(xin).*win) - I2exakt); % Quadraturfehler fuer f2
end

% plot Fehler als Funktion von n
clf;
subplot(2,1,1);
semilogy(n,E1,'b-+');
xlabel('N');
ylabel('E1');
subplot(2,1,2);
loglog(n,E2,'b-+');
xlabel('N');
ylabel('E2');

nmax = sum(log10(E1) > -13.); % bestimme groesstes n, sodass noch nicht
                              % Rundungsfehler ins Spiel kommen!
p1 = polyfit(...

p2 = polyfit(...

